scala.tools.nsc

# ScriptRunner

#### object ScriptRunner extends ScriptRunner

Linear Supertypes
ScriptRunner, HasCompileSocket, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ScriptRunner
2. ScriptRunner
3. HasCompileSocket
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def compileOnServer(sock: Socket, args: Seq[String]): Boolean

   Definition Classes
     HasCompileSocket

9. #### lazy val compileSocket: CompileSocket.type

   Definition Classes
     ScriptRunner → HasCompileSocket

10. #### val defaultScriptMain: String

    Default name to use for the wrapped script

    Default name to use for the wrapped script

    Definition Classes
      ScriptRunner

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### val errorMarkers: Set[String]

    Definition Classes
      HasCompileSocket

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

17. #### def isErrorMessage(msg: String): Boolean

    Definition Classes
      HasCompileSocket

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### def isScript(settings: Settings): Boolean

    Definition Classes
      ScriptRunner

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### def newGlobal(settings: Settings, reporter: Reporter): Global

    Attributes
      protected
    Definition Classes
      ScriptRunner

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### def runCommand(settings: GenericRunnerSettings, command: String, scriptArgs: List[String]): Boolean

    Run a command

    Run a command

    returns

      true if compilation and execution succeeded, false otherwise.

    Definition Classes
      ScriptRunner

25. #### def runScript(settings: GenericRunnerSettings, scriptFile: String, scriptArgs: List[String]): Boolean

    Run a script file with the specified arguments and compilation settings.

    Run a script file with the specified arguments and compilation settings.

    returns

      true if compilation and execution succeeded, false otherwise.

    Definition Classes
      ScriptRunner

26. #### def runScriptAndCatch(settings: GenericRunnerSettings, scriptFile: String, scriptArgs: List[String]): Either[Throwable, Boolean]

    Calls runScript and catches the enumerated exceptions, routing them to Left(ex) if thrown.

    Calls runScript and catches the enumerated exceptions, routing them to Left(ex) if thrown.

    Definition Classes
      ScriptRunner

27. #### def scriptMain(settings: Settings): String

    Pick a main object name from the specified settings

    Pick a main object name from the specified settings

    Definition Classes
      ScriptRunner

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toString(): String

    Definition Classes
      AnyRef → Any

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ScriptRunner

### Inherited from HasCompileSocket

### Inherited from AnyRef

### Inherited from Any

### Ungrouped